
{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 *}

<div class="w-full flex justify-around">
    {foreach from=$blocks item=$block key=$key}
        <div{if $block['type_link'] !== $LINK_TYPE_NONE && !empty($block['link'])} style="cursor:pointer;" onclick="window.open('{$block['link']}')"{/if} class='flex flex-wrap md:flex-nowrap gap-2 items-center justify-center'>
            <span class="item-product w-5 h-5">
                {if $block['icon'] != 'undefined'}
                    {if $block['custom_icon']}
                    <img {if $block['is_svg']}class="svg" {/if}src="{$block['custom_icon']}">
                    {elseif $block['icon']}
                    <img class="svg" src="{$block['icon']}">
                    {/if}
                {/if}&nbsp;
            </span>
            {if empty($block['description'])}
              <p class="block-title text-sm" >{$block['title']}</p>
            {else}
              <div class='flex flex-col items-center md:items-start'>
                <span class="block-title text-sm" >{$block['title']}</span>
                <p  class='text-xs'>{$block['description'] nofilter}</p>
              </div>
            {/if}
        </div>
    {/foreach}
</div>
