{extends file='checkout/_partials/steps/checkout-step.tpl'}

{block name='step_content'}
    {if $customer.is_logged && !$customer.is_guest}
      <div class="flex flex-col p-4">
        <span class="identity">
          {l s='Connected as [1]%firstname% %lastname%[/1].'
            d='Shop.Theme.Customeraccount'
            sprintf=[
              '[1]' => "<a href='{$urls.pages.identity}'>",
              '[/1]' => "</a>",
              '%firstname%' => $customer.firstname,
              '%lastname%' => $customer.lastname
            ]
          }
        </span>
        <span>
          {l
            s='Not you? [1]Log out[/1]'
            d='Shop.Theme.Customeraccount'
            sprintf=[
            '[1]' => "<a href='{$urls.actions.logout}'>",
            '[/1]' => "</a>"
            ]
          }
        </span>
      </div>
    {else}
      <div class="flex w-full flex-col tabs p-4">
        <ul class="tabs-list flex w-full">
          <li class="flex flex-1 p-4 items-center justify-center">
            <a
              class="nav-link {if !$show_login_form}active{/if}"
              data-toggle="tab"
              href="#checkout-guest-form"
              role="tab"
              aria-controls="checkout-guest-form"
              {if !$show_login_form} aria-selected="true"{/if}
              >
              {if $guest_allowed}
                {l s='Order as a guest' d='Shop.Theme.Checkout'}
              {else}
                {l s='Create an account' d='Shop.Theme.Customeraccount'}
              {/if}
            </a>
          </li>
          <li class="flex flex-1 p-4 items-center justify-center">
            <a
              class="nav-link {if $show_login_form}active{/if}"
              data-link-action="show-login-form"
              data-toggle="tab"
              href="#checkout-login-form"
              role="tab"
              aria-controls="checkout-login-form"
              {if $show_login_form} aria-selected="true"{/if}
            >
              {l s='Sign in' d='Shop.Theme.Actions'}
            </a>
          </li>
        </ul>
        <div id="checkout-guest-form" class="tabs-content w-full">
          {render file='checkout/_partials/customer-form.tpl' ui=$register_form guest_allowed=$guest_allowed}
        </div>
        <div id="checkout-login-form" class="tabs-content w-full">
          {render file='checkout/_partials/login-form.tpl' ui=$login_form}
        </div>
      </div>
    {/if}
{/block}

{**
{block name='step_content'}
  {hook h='displayPersonalInformationTop' customer=$customer}

  {if $customer.is_logged && !$customer.is_guest}

    <p class="identity">
      {l s='Connected as [1]%firstname% %lastname%[/1].'
        d='Shop.Theme.Customeraccount'
        sprintf=[
          '[1]' => "<a href='{$urls.pages.identity}'>",
          '[/1]' => "</a>",
          '%firstname%' => $customer.firstname,
          '%lastname%' => $customer.lastname
        ]
      }
    </p>
    <p>
      {l
        s='Not you? [1]Log out[/1]'
        d='Shop.Theme.Customeraccount'
        sprintf=[
        '[1]' => "<a href='{$urls.actions.logout}'>",
        '[/1]' => "</a>"
        ]
      }
    </p>
    {if !isset($empty_cart_on_logout) || $empty_cart_on_logout}
      <p><small>{l s='If you sign out now, your cart will be emptied.' d='Shop.Theme.Checkout'}</small></p>
    {/if}

    <div class="clearfix">
      <form method="GET" action="{$urls.pages.order}">
        <button
          class="continue btn btn-primary float-xs-right"
          name="controller"
          type="submit"
          value="order"
        >
          {l s='Continue' d='Shop.Theme.Actions'}
        </button>
      </form>

    </div>

    <ul class="nav nav-inline my-2" role="tablist">
      <li class="nav-item">
        <a
          class="nav-link {if !$show_login_form}active{/if}"
          data-toggle="tab"
          href="#checkout-guest-form"
          role="tab"
          aria-controls="checkout-guest-form"
          {if !$show_login_form} aria-selected="true"{/if}
          >
          {if $guest_allowed}
            {l s='Order as a guest' d='Shop.Theme.Checkout'}
          {else}
            {l s='Create an account' d='Shop.Theme.Customeraccount'}
          {/if}
        </a>
      </li>

      <li class="nav-item">
        <span class="nav-separator"> | </span>
      </li>

      <li class="nav-item">
        <a
          class="nav-link {if $show_login_form}active{/if}"
          data-link-action="show-login-form"
          data-toggle="tab"
          href="#checkout-login-form"
          role="tab"
          aria-controls="checkout-login-form"
          {if $show_login_form} aria-selected="true"{/if}
        >
          {l s='Sign in' d='Shop.Theme.Actions'}
        </a>
      </li>
    </ul>

    <div class="tab-content">
      <div class="tab-pane {if !$show_login_form}active{/if}" id="checkout-guest-form" role="tabpanel" {if $show_login_form}aria-hidden="true"{/if}>
        {render file='checkout/_partials/customer-form.tpl' ui=$register_form guest_allowed=$guest_allowed}
      </div>
      <div class="tab-pane {if $show_login_form}active{/if}" id="checkout-login-form" role="tabpanel" {if !$show_login_form}aria-hidden="true"{/if}>
        {render file='checkout/_partials/login-form.tpl' ui=$login_form}
      </div>
    </div>


  {/if}
{/block}
*}
