{**
 * 2007-2019 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2019 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{extends file='customer/page.tpl'}

{block name='page_title'}
  <h2 class="products-section-title text-2xl font-bold mb-8">
    {l s='Your addresses' d='Shop.Theme.Customeraccount'}
  </h2>
{/block}

{block name='page_content'}
  <div class="flex w-full flex-wrap">
    {foreach $customer.addresses as $address}
      <div class="w-full md:w-1/2 lg:w-1/4">
      {block name='customer_address'}
        {include file='customer/_partials/block-address.tpl' address=$address}
      {/block}
      </div>
    {/foreach}
  </div>
  <div class="clearfix"></div>
  <div class="addresses-footer flex mt-4">
  <a href="{$urls.pages.address}" data-link-action="add-address" class=" max-md:w-full uppercase py-2 px-8 font-medium text-center border border-blue-950 text-blue-950 hover:text-blue-900 hover:border-blue-900">
      <span>{l s='Create new address' d='Shop.Theme.Actions'}</span>
    </a>
  </div>
{/block}
