{**
 * 2007-2019 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2019 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{extends file='page.tpl'}

{block name='page_title'}
{/block}

{block name='page_content'}
  <form action="{$urls.pages.password}" class="forgotten-password w-3/4 md:w-1/2 lg:w-1/4 mx-auto" method="post">

    <ul class="ps-alert-error mb-4 flex flex-col gap-1">
      {foreach $errors as $error}
          <p class="md:text-lg text-center font-medium text-red-600">{$error}</p>
      {/foreach}
    </ul>

    <header>
      <span class="send-renew-password-link">{l s='Please enter the registerd email address to recieve a link to reset your password.' d='Shop.Theme.Customeraccount'}</span>
    </header>

    <section class="form-fields mt-2 w-full">
      <div class="form-group center-email-fields flex flex-col gap-4">
        <div class="flex flex-col gap-1">
        <label class="font-medium form-control-label required">{l s='Email address' d='Shop.Forms.Labels'}</label>
          <input type="email" name="email" id="email" value="{if isset($smarty.post.email)}{$smarty.post.email|stripslashes}{/if}" class="form-control px-2 py-1 border border-gray-300 w-full" required>
        </div>
        <button class="uppercase font-medium mt-2 py-2 text-center w-full bg-blue-950 hover:bg-blue-900 text-gray-50" name="submit" type="submit">
          {l s='Send' d='Shop.Theme.Actions'}
        </button>
        <a href="{$urls.pages.my_account}" class="text-base hover:underline underline-offset-2 hover:text-blue-900 font-normal text-center">
        <span>{l s='Back to login' d='Shop.Theme.Actions'}</span>
        </a>
      </div>
    </section>

  </form>
{/block}

{block name='page_footer'}
{/block}
